<template>
  <LayoutMain>
    <section>
      <b-container>
        <b-row align-h="center">
          <b-col cols="12">
            <TitleShape title="Mi Cuenta" />
          </b-col>
        </b-row>
        <b-row align-h="center">
          <b-col cols="6">
            <router-link :to="{ name: 'profile' }" v-slot="{ href, navigate }" >
              <a :href="href" @click="navigate" class="nav-link">
                 <SingleSpecial icon="person-outline" size="4rem" text="Modifica tus datos personales" />
                 <TitleShape title="Mi perfil" class="md" />
                </a>
            </router-link>
          </b-col>
          <!-- <template v-if="!isAdmin">
            <b-col cols="6">
              <router-link :to="{ name: 'profile' }" v-slot="{ href, navigate }" >
                <a :href="href" @click="navigate" class="nav-link">
                  <SingleSpecial icon="copy-outline" size="4rem" text="Gestiona y edita tus tablas de comparación" />
                  <TitleShape title="Mis puntuaciones" class="md" />
                  </a>
              </router-link>
            </b-col>
          </template> -->
          <template v-if="isAdmin">
            <b-col cols="6">
              <router-link :to="{ name: 'admin' }" v-slot="{ href, navigate }" >
                <a :href="href" @click="navigate" class="nav-link">
                  <SingleSpecial icon="copy-outline" size="4rem" text="Gestionar TimeLine" />
                  <TitleShape title="Administración" class="md" />
                  </a>
              </router-link>
            </b-col>
          </template>
        </b-row>
      </b-container>
    </section>
  </LayoutMain>
</template>

<script>
// @ is an alias to /src
import LayoutMain from "@/components/layouts/Main.vue";
import TitleShape from "@/components/TitleShape.vue";
import SingleSpecial from "@/components/SingleSpecial.vue";
import { mapState, mapGetters } from "vuex";

export default {
  name: "acount",
  components: {
    LayoutMain,
    TitleShape,
    SingleSpecial
  },
  computed: {
    //A mapState le tengo que pasar el nombre del módulo, en este caso 'user' y la propiedad con los datos que quiero tener a mi disposición
    //profile el la propiedad que me dispone de los datos del usaurio X.
    ...mapGetters("auth", ["isAdmin"])
  }
};
</script>